Subject: bug#59380: File mode specification error

From: Arash Esbati <[email-masked]>
Date: Sat, 19 Nov 2022 21:31:40 +0100

杜海波 <[email-masked]> writes:

> When openning an tex file, Latex-mode fails to start, error in
> *Messages" buffer is as this: File mode specification error: (file-
> error The name org.mate.atril.Daemon was not provided by any .service
> files)
>
> I use debian, gnome, I don't even know what is the meaning of this
> error. Does this mean my system lacks some component?

I'm not on Debian, but I suspect this is a D-BUS issue: You have
configured AUCTeX to use atril as viewer but it is not registered to
D-BUS.  Maybe it lacks this file:

  https://github.com/mate-desktop/atril/blob/master/data/org.mate.atril.Daemon.service.in

Best, Arash